Package ru.bitel.bgbilling.plugins.helpdesk.server.bean

# Class ParamManager

java.lang.Object
ru.bitel.bgbilling.plugins.helpdesk.server.bean.ParamManager

    public class ParamManager
    extends java.lang.Object

Класс для хранения пользовательских параметров для системы HelpDesk

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.sql.Connection` | `con` |
  `protected ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer` | `plugin` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ParamManager​(java.sql.Connection con, ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin)` | Конструктор по умолчанию

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getContractCurrentMode​(int contractId)` |
  `protected java.lang.String` | `getDBTableName​(java.lang.String name)` |
  `java.util.List<DirectoryItem>` | `getModeList()` |
  `java.util.Properties` | `getProperties​(int contractId)` | Возращает все сохраненные параметры для заданного договора
  `void` | `setProperties​(int contractId, java.util.Properties properties)` | Сохраняем в БД параметры для заданного договора.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### con

    protected java.sql.Connection con

  - ### plugin

    protected ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin

- ## Constructor Details

  - ### ParamManager

    public ParamManager​(java.sql.Connection con, ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin)
    Конструктор по умолчанию
    Parameters:
      `con` - - коннект к БД
      `plugin` - - ссылка на объект с данными плагина

- ## Method Details

  - ### getDBTableName

    protected java.lang.String getDBTableName​(java.lang.String name)

  - ### getModeList

    public java.util.List<DirectoryItem> getModeList()

  - ### getContractCurrentMode

    public java.lang.String getContractCurrentMode​(int contractId)

  - ### getProperties

    public java.util.Properties getProperties​(int contractId)
    Возращает все сохраненные параметры для заданного договора
    Parameters:
      `contractId` - - код договора
    Returns:

  - ### setProperties

    public void setProperties​(int contractId, java.util.Properties properties)
    Сохраняем в БД параметры для заданного договора. Все ранее сохраненные значения удаляются.
    Parameters:
      `contractId` - - код договора
      `properties` - - сохраняемые значения